.trainings {

  &__calendar-add {
    bottom: .75em;
    right: .5em;
    color: $green;
    font-weight: 700;
    line-height: 1;
    position: absolute;
    text-decoration: none;
    transform: scale(1.5);
    transition: 0.25s ease-out;

    &:hover {
      color: $dark-green;
      cursor: pointer;
    }
  }

  &__icons {
    bottom: .35em;
    color: $red;
    left: .4em;
    position: absolute;
    text-decoration: none;
    transition: 0.25s ease-out;

    .icon {
      font-weight: 700;
      transform: scale(0.75);
    }

    &:hover {
      color: $dark-red;
      cursor: pointer;
    }
  }

  &__header {
    text-align: center;
  }

  &__daily {
    margin: 0 auto;
    width: 80%;
    padding: 0 20px;
    text-align: center;
  }

  &__daily-wrapper {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
  }

  &__daily-box {
    background: $white;
    border: 1px solid lighten($dark-grey, 10%);
    border-radius: 4px;
    color: $dark-grey;
    display: flex;
    flex-direction: column;
    // flex-grow: 1;
    margin: 10px;
    padding: 10px;
    text-decoration: none;
    transition: .5s;
    min-width: 150px;

    &:hover {
      background: $grey;
    }

    span {
      font-weight: bold;
    }
  }
}

.trainings__new {

  &-wizard {
    background: $white;
    padding: 20px;
    margin: 0 auto;
    margin-bottom: 90px;
    width: 80%;
  }

  &-title {
    border-bottom: 2px solid $red;
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    margin-bottom: 15px;

    h1 {
      height: auto;
      margin: 0;
      padding: 0;
    }

    span {
      line-height: $m-size;
      position: relative;
      margin: auto 0;
      top: 3px;
    }
  }

  &-top-panel {
    display: flex;
    margin: 10px 0;
    width: 100%;
  }

  &-footer {
    background: white;
    position: fixed;
    bottom: 0px;
    border-top: 1px solid $dark-grey;
    height: 90px;
    left: 0px;
    // right: 20px;
    width: 100%;

    &-wrapper {
      display: flex;
      justify-content: space-between;
      width: 80%;
      margin: auto;
    }

    &-description {
      width: 70%;
    }

    &-buttons {
      display: flex;
      flex-direction: row;
      justify-content: right;
      padding: 20px;
      width: 30%;

      button {
        margin-left: 5px;
        min-width: 120px;
      }
    }
    
  }

  &-groups__header-0 {
    border-radius: 4px 4px 0 0; 
    color: white;
  }

  &-hour {
    border: 1px solid $grey;
    border-radius: 4px;
    color: black;
    margin-right: 5px;
    padding: 12px;
    text-align: center;
    width: 70px;

    &:focus {
      border: 1px solid $green;
    }
  }

  &-name {
    border: 1px solid $grey;
    border-radius: 4px;
    color: black;
    padding: 12px;
    width: calc(100% - 70px);

    &:focus {
      border: 1px solid $green;
    }
  }

  &-category {
    background: $white;
    border: 1px solid $grey;
    border-radius: 4px;
    color: black;
    flex: 0.3;
    font-size: $m-size;
    line-height: 1.6;
    margin-right: 5px;
    min-width: 125px;
    padding: 0 5px;
    transition: background .5s;

    &:hover {
      cursor: pointer;
    }

    &:focus {
      border: 1px solid $green;
    }

    option {
      background: $white;
    }
  }

  &-buttons {
    button {
      margin-right: 5px;
    }
  }

  &-groups {
    &-creator {
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      margin-top: 10px;
    }

    .scrollarea {
      height: 100%;
    }

    .table__scrollable {
      width: 100%;
    }

    &-athletes {
      width: 49%;
      height: 80%;
    }

    &-groups {
      width: 49%;
      height: 80%;

    }

    &-setup {
      color: $dark-grey;
      text-align: center;
      padding-top: 20px !important;
    }
  }

  &-excercises-groups {
    display: flex;
    justify-content: center;
    margin-bottom: 10px;
    width: 100%;

    select {
      background: white;
      border: 1px solid $grey;
      border-radius: 4px; 
      color: black;
      font-size: $m-size;
      // height: $l-size;
      line-height: 1.6;
      margin: 0 5px;
      padding: 12px 5px;
      width: 60%;

      &:hover {
        cursor: pointer;
      }

      &:focus {
        border: 1px solid $green;
      }

      option {
        border: none;
      }
    }
  }

  &-excercises-navigation {
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    margin-top: 20px;
    min-height: 50px;
    width: 100%;

    button {
      width: 25%;

      &:disabled {
        background: $grey;
        cursor: auto;
      }
    }
  }

  &-excercises-athletes {
    background: $grey;
    border-radius: 4px; 
    color: $dark-grey;
    padding: 10px;
  }

  &-excercises-description {
    // background: $dark-grey;
    margin-top: 10px;
    // padding: 10px;
    // color: white;

    label {
      display: flex;
      flex-direction: column;
      justify-content: left;

      span {
        color: black;
        padding-bottom: 5px;
      }

      textarea {
        // background: $white;
        border: 1px solid $red;
        border-radius: 4px;
        height: 40vh;
        padding: 10px;
        resize: none;
      }
    }
  }
}